Subject: Re: Refactoring git-rebase.sh and git-rebase--interactive.sh

From: Johannes Sixt <[email-masked]>
Date: Tue, 02 Nov 2010 13:46:19 +0100

Am 11/2/2010 13:33, schrieb Martin von Zweigbergk:
> There are currently quite some
> functional differences between 'git rebase' and 'git rebase -i' (not
> just the obvious one).

Differences in the option handling is my favorite gripe with git-rebase,
too. I suggest to write a command line processor, git-rebase.sh, that sets
shell variables from options that it collects from various sources, then
dispatches to one of git-rebase--interactive.sh, git-rebase--merge.sh, or
git-rebase--am.sh (the latter two would be stripped-down copies of the
current git-rebase.sh).

-- Hannes